<?php

namespace WPDesk\FakturyKSEF\Api\Requests;

class GetInvoiceStatusRequest implements KsefRequestInterface {

	private string $session_ref_number;

	private string $invoice_ref_number;

	public function __construct(
		string $session_ref_number,
		string $invoice_ref_number
	) {
		$this->session_ref_number = $session_ref_number;
		$this->invoice_ref_number = $invoice_ref_number;
	}
	public function get_method(): string {
		return 'GET';
	}

	public function get_uri(): string {

		return sprintf( '/v2/sessions/%s/invoices/%s', $this->session_ref_number, $this->invoice_ref_number );
	}

	public function requires_auth(): bool {
		return true;
	}

	public function get_body(): array {
		return [];
	}
}
